package com.inet.ailink.receiver.mapper;

import java.util.List;


public interface BaseDao<E> {

	public E getById(Long id);

	public List<E> getByIds(List<Long> ids);

	public List<E> getAll();

	public List<E> getObjByAttribute(Object entity);

	public int delete(Long id);

	public int insert(E entity);

	public int update(E entity);
	
	public int insertBatch(List<E> entity);
	
	public int updateBatch(List<E> entity);
}
